%define oname   ffDiaporama

Name:           ffdiaporama
# Version 2.2.devel.2014.0701
Version:        2.1.9.devel.2014.0701
Release:        %mkrel 1
Summary:        Movie creator from photos and video clips
License:        GPLv2
URL:            http://ffdiaporama.tuxfamily.org
Group:          Video/Editors and Converters
Source:         http://download.tuxfamily.org/%{name}/Packages/Stable/%{name}_bin_2.2.devel.2014.0701.tar.gz
# http://ffdiaporama.tuxfamily.org/Forum/viewtopic.php?id=781
Patch0:         ffDiaporama-2.2-devel-2014.0701-mga-i18n-semicolon-desktop.patch
Patch1:         ffdiaporama-ffmpeg-2.4.patch
Patch2:         ffdiaporama-audiodecode.patch
Patch3:         ffdiaporama-nodownload.patch
Patch4:         ffdiaporama-workingdir.patch
Patch5:         ffdiaporama-2.2-ffmpeg-3.2.patch
Patch6:         ffdiaporama-2.2-ffmpeg-4.0.patch
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       qtbase5-common
Requires:       ffmpeg
Requires:       qtbase5-database-plugin-sqlite
Recommends:     ffdiaporama-texturemate
Recommends:     ffdiaporama-openclipart

%description
ffDiaporama is an application for creating video sequences consisting of
* titles, fixed or animated.
* images or photos, fixed or animated.
* movie clips
* music

These sequences are assembled into a slide show by means of transitions
to produce complete videos
The following options are available:

* Reframing of images and photos
* Cutting of video clips
* Adding text, notes to images, photos, sequences and animations
* Graphical filters on the images and the videos (conversion into
  black and white, dust removal, equalization of colors, etc.)
* Creation of animation by zoom, rotation or Ken Burns Effect on
  images or photos
* Correction of the images and the videos during animations
  (luminosity, contrast, gamma, colors, etc.)
* Transitions between sequences with definition of the transition type,
  sequence by sequence.
* Addition of a background sound (wav, mp3 or ogg) with customizable
  effects for volume, fade in/out and passage in pause, sequence by sequence.
* Generation of videos usable on most current video equipment
  (DVD player/smartphone, multimedia box, hard drive, etc.)
  but also publishable on the main video-sharing Websites
  (YouTube, Dailymotion, etc.)
* Video formats from QVGA (320×240) to Full HD (1920×1080)
  by way of the DVD and HD 720 formats.
* Image geometry (aspect ratio) : 4:3, 16:9 or 2.35:1 (cinema)
* Possible formats for rendering : avi, mpg, mp4, webm, mkv

%prep
%setup -q -n %{oname}
%apply_patches
chmod -x *.*

%build
%qmake_qt5 QMAKE_CFLAGS_ISYSTEM= %{oname}.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

install -m 0644 locale/*  %{buildroot}%{_datadir}/%{oname}/locale/
find %{buildroot}%{_datadir}/%{oname}/locale -name "*.ts" | xargs rm -f

(cd %{buildroot} && find . -name '*.q*') | sed -e 's|^.||' | sed -e \
    's:\(.*/locale/\)\([_a-z_A-Z]\+\)\(.q\):%lang(\2) \1\2\3:' >> %{name}.lang

# Keep only the language code in lang tags like: '%%lang{wiki_xx}'
%__sed -i -e 's:\(%lang(\)\([A-Za-z]\+_\)\([a-z)]\+\):\1\3:' %{name}.lang


%files -f %{name}.lang
%{_datadir}/%{oname}/
%{_bindir}/%{oname}
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/mime/packages/%{oname}-mime.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Dec 11 2018 adrianomorselli <adrianomorselli> 2.1.9.devel.2014.0701-1uplos2018
- update
- add patch to fix build with ffmpeg 4.0
- rebuild for new ffmpeg 4.0
